;;; isol2-insert.el --- insert functions for ISO 8859/2.

;; Author: Ladislav Lhotka
;; Keywords: i18n

;;; Commentary:

;; See case-table.el for details.

;;; Code:

(defun insert-no-break-space ()
   (interactive "*")
   (insert 160)
)

(defun insert-A-ogonek ()
   (interactive "*")
   (insert 161)
)

(defun insert-breve ()
   (interactive "*")
   (insert 162)
)

(defun insert-L-stroke ()
   (interactive "*")
   (insert 163)
)

(defun insert-currency-sign ()
   (interactive "*")
   (insert 164)
)

(defun insert-L-caron ()
   (interactive "*")
   (insert 165)
)

(defun insert-S-acute ()
   (interactive "*")
   (insert 166)
)

(defun insert-paragraph-sign ()
   (interactive "*")
   (insert 167)
)

(defun insert-diaeresis ()
   (interactive "*")
   (insert 168)
)

(defun insert-S-caron ()
   (interactive "*")
   (insert 169)
)

(defun insert-S-cedilla ()
   (interactive "*")
   (insert 170)
)

(defun insert-T-caron ()
   (interactive "*")
   (insert 171)
)

(defun insert-Z-acute ()
   (interactive "*")
   (insert 172)
)

(defun insert-soft-hyphen ()
   (interactive "*")
   (insert 173)
)

(defun insert-Z-caron ()
   (interactive "*")
   (insert 174)
)

(defun insert-Z-dot-above ()
   (interactive "*")
   (insert 175)
)

(defun insert-degree-sign ()
   (interactive "*")
   (insert 176)
)

(defun insert-a-ogonek ()
   (interactive "*")
   (insert 177)
)

(defun insert-ogonek ()
   (interactive "*")
   (insert 178)
)

(defun insert-l-stroke ()
   (interactive "*")
   (insert 179)
)

(defun insert-acute ()
   (interactive "*")
   (insert 180)
)

(defun insert-l-caron ()
   (interactive "*")
   (insert 181)
)

(defun insert-s-acute ()
   (interactive "*")
   (insert 182)
)

(defun insert-caron ()
   (interactive "*")
   (insert 183)
)

(defun insert-cedilla ()
   (interactive "*")
   (insert 184)
)

(defun insert-s-caron ()
   (interactive "*")
   (insert 185)
)

(defun insert-s-cedilla ()
   (interactive "*")
   (insert 186)
)

(defun insert-t-caron ()
   (interactive "*")
   (insert 187)
)

(defun insert-z-acute ()
   (interactive "*")
   (insert 188)
)

(defun insert-double-acute ()
   (interactive "*")
   (insert 189)
)

(defun insert-z-caron ()
   (interactive "*")
   (insert 190)
)

(defun insert-z-dot-above ()
   (interactive "*")
   (insert 191)
)

(defun insert-R-acute ()
   (interactive "*")
   (insert 192)
)

(defun insert-A-acute ()
   (interactive "*")
   (insert 193)
)

(defun insert-A-circumflex ()
   (interactive "*")
   (insert 194)
)

(defun insert-A-breve ()
   (interactive "*")
   (insert 195)
)

(defun insert-A-diaeresis ()
   (interactive "*")
   (insert 196)
)

(defun insert-L-acute ()
   (interactive "*")
   (insert 197)
)

(defun insert-C-acute ()
   (interactive "*")
   (insert 198)
)

(defun insert-C-cedilla ()
   (interactive "*")
   (insert 199)
)

(defun insert-C-caron ()
   (interactive "*")
   (insert 200)
)

(defun insert-E-acute ()
   (interactive "*")
   (insert 201)
)

(defun insert-E-ogonek ()
   (interactive "*")
   (insert 202)
)

(defun insert-E-diaeresis ()
   (interactive "*")
   (insert 203)
)

(defun insert-E-caron ()
   (interactive "*")
   (insert 204)
)

(defun insert-I-acute ()
   (interactive "*")
   (insert 205)
)

(defun insert-I-circumflex ()
   (interactive "*")
   (insert 206)
)

(defun insert-D-caron ()
   (interactive "*")
   (insert 207)
)

(defun insert-D-stroke ()
   (interactive "*")
   (insert 208)
)

(defun insert-N-acute ()
   (interactive "*")
   (insert 209)
)

(defun insert-N-caron ()
   (interactive "*")
   (insert 210)
)

(defun insert-O-acute ()
   (interactive "*")
   (insert 211)
)

(defun insert-O-circumflex ()
   (interactive "*")
   (insert 212)
)

(defun insert-O-double-acute ()
   (interactive "*")
   (insert 213)
)

(defun insert-O-diaeresis ()
   (interactive "*")
   (insert 214)
)

(defun insert-multiplication-sign ()
   (interactive "*")
   (insert 215)
)

(defun insert-R-caron ()
   (interactive "*")
   (insert 216)
)

(defun insert-U-ring-above ()
   (interactive "*")
   (insert 217)
)

(defun insert-U-acute ()
   (interactive "*")
   (insert 218)
)

(defun insert-U-double-acute ()
   (interactive "*")
   (insert 219)
)

(defun insert-U-diaeresis ()
   (interactive "*")
   (insert 220)
)

(defun insert-Y-acute ()
   (interactive "*")
   (insert 221)
)

(defun insert-T-cedilla ()
   (interactive "*")
   (insert 222)
)

(defun insert-sharp-s ()
   (interactive "*")
   (insert 223)
)

(defun insert-r-acute ()
   (interactive "*")
   (insert 224)
)

(defun insert-a-acute ()
   (interactive "*")
   (insert 225)
)

(defun insert-a-circumflex ()
   (interactive "*")
   (insert 226)
)

(defun insert-a-breve ()
   (interactive "*")
   (insert 227)
)

(defun insert-a-diaeresis ()
   (interactive "*")
   (insert 228)
)

(defun insert-l-acute ()
   (interactive "*")
   (insert 229)
)

(defun insert-c-acute ()
   (interactive "*")
   (insert 230)
)

(defun insert-c-cedilla ()
   (interactive "*")
   (insert 231)
)

(defun insert-c-caron ()
   (interactive "*")
   (insert 232)
)

(defun insert-e-acute ()
   (interactive "*")
   (insert 233)
)

(defun insert-e-ogonek ()
   (interactive "*")
   (insert 234)
)

(defun insert-e-diaeresis ()
   (interactive "*")
   (insert 235)
)

(defun insert-e-caron ()
   (interactive "*")
   (insert 236)
)

(defun insert-i-acute ()
   (interactive "*")
   (insert 237)
)

(defun insert-i-circumflex ()
   (interactive "*")
   (insert 238)
)

(defun insert-d-caron ()
   (interactive "*")
   (insert 239)
)

(defun insert-d-stroke ()
   (interactive "*")
   (insert 240)
)

(defun insert-n-acute ()
   (interactive "*")
   (insert 241)
)

(defun insert-n-caron ()
   (interactive "*")
   (insert 242)
)

(defun insert-o-acute ()
   (interactive "*")
   (insert 243)
)

(defun insert-o-circumflex ()
   (interactive "*")
   (insert 244)
)

(defun insert-o-double-acute ()
   (interactive "*")
   (insert 245)
)

(defun insert-o-diaeresis ()
   (interactive "*")
   (insert 246)
)

(defun insert-division-sign ()
   (interactive "*")
   (insert 247)
)

(defun insert-r-caron ()
   (interactive "*")
   (insert 248)
)

(defun insert-u-ring-above ()
   (interactive "*")
   (insert 249)
)

(defun insert-u-acute ()
   (interactive "*")
   (insert 250)
)

(defun insert-u-double-acute ()
   (interactive "*")
   (insert 251)
)

(defun insert-u-diaeresis ()
   (interactive "*")
   (insert 252)
)

(defun insert-y-acute ()
   (interactive "*")
   (insert 253)
)

(defun insert-t-cedilla ()
   (interactive "*")
   (insert 254)
)

(defun insert-dot-above ()
   (interactive "*")
   (insert 255)
)

(defvar dead-acute-map nil "Keymap for dead acute accent.")
(setq dead-acute-map (make-sparse-keymap))
(define-key dead-acute-map "A" 'insert-A-acute)
(define-key dead-acute-map "E" 'insert-E-acute)
(define-key dead-acute-map "I" 'insert-I-acute)
(define-key dead-acute-map "O" 'insert-O-acute)
(define-key dead-acute-map "U" 'insert-U-acute)
(define-key dead-acute-map "Y" 'insert-Y-acute)
(define-key dead-acute-map "R" 'insert-R-acute)
(define-key dead-acute-map "L" 'insert-L-acute)
(define-key dead-acute-map "a" 'insert-a-acute)
(define-key dead-acute-map "e" 'insert-e-acute)
(define-key dead-acute-map "i" 'insert-i-acute)
(define-key dead-acute-map "o" 'insert-o-acute)
(define-key dead-acute-map "u" 'insert-u-acute)
(define-key dead-acute-map "y" 'insert-y-acute)
(define-key dead-acute-map "r" 'insert-r-acute)
(define-key dead-acute-map "l" 'insert-l-acute)

(defvar dead-caron-map nil "Keymap for dead caron accent.")
(setq dead-caron-map (make-sparse-keymap))
(define-key dead-caron-map "Z" 'insert-Z-caron)
(define-key dead-caron-map "S" 'insert-S-caron)
(define-key dead-caron-map "C" 'insert-C-caron)
(define-key dead-caron-map "R" 'insert-R-caron)
(define-key dead-caron-map "D" 'insert-D-caron)
(define-key dead-caron-map "T" 'insert-T-caron)
(define-key dead-caron-map "N" 'insert-N-caron)
(define-key dead-caron-map "E" 'insert-E-caron)
(define-key dead-caron-map "L" 'insert-L-caron)
(define-key dead-caron-map "O" 'insert-O-circumflex)
(define-key dead-caron-map "U" 'insert-U-ring-above)
(define-key dead-caron-map "z" 'insert-z-caron)
(define-key dead-caron-map "s" 'insert-s-caron)
(define-key dead-caron-map "c" 'insert-c-caron)
(define-key dead-caron-map "r" 'insert-r-caron)
(define-key dead-caron-map "d" 'insert-d-caron)
(define-key dead-caron-map "t" 'insert-t-caron)
(define-key dead-caron-map "n" 'insert-n-caron)
(define-key dead-caron-map "e" 'insert-e-caron)
(define-key dead-caron-map "u" 'insert-u-ring-above)
(define-key dead-caron-map "l" 'insert-l-caron)
(define-key dead-caron-map "o" 'insert-o-circumflex)

(defvar dead-diaeresis-map nil "Keymap for dead diaeresis (umlaut) accent.")
(setq dead-diaeresis-map (make-sparse-keymap))
(define-key dead-diaeresis-map "a" 'insert-a-diaeresis)
(define-key dead-diaeresis-map "o" 'insert-o-diaeresis)
(define-key dead-diaeresis-map "u" 'insert-u-diaeresis)
(define-key dead-diaeresis-map "A" 'insert-A-diaeresis)
(define-key dead-diaeresis-map "O" 'insert-O-diaeresis)
(define-key dead-diaeresis-map "U" 'insert-U-diaeresis)
(define-key esc-map "\"" dead-diaeresis-map)

(defun load-cs-keyboard ()
   "Install Czech/Slovak accented letters on the top row
of the standard AT keyboard and dead keys for acute and
caron accents on [ and ], respectively."
   (interactive "*")
   (local-set-key "`" 'insert-u-ring-above)
   (local-set-key "1" 'insert-u-acute)
   (local-set-key "2" 'insert-e-caron)
   (local-set-key "3" 'insert-s-caron)
   (local-set-key "4" 'insert-c-caron)
   (local-set-key "5" 'insert-r-caron)
   (local-set-key "6" 'insert-z-caron)
   (local-set-key "7" 'insert-y-acute)
   (local-set-key "8" 'insert-a-acute)
   (local-set-key "9" 'insert-i-acute)
   (local-set-key "0" 'insert-e-acute)
   (local-set-key "[" dead-acute-map)
   (local-set-key "]" dead-caron-map)
)

(defun unload-cs-keyboard ()
   "Uninstall Czech/Slovak keyboard."
   (interactive "*")
   (local-set-key "`" 'self-insert-command)
   (local-set-key "1" 'self-insert-command)
   (local-set-key "2" 'self-insert-command)
   (local-set-key "3" 'self-insert-command)
   (local-set-key "4" 'self-insert-command)
   (local-set-key "5" 'self-insert-command)
   (local-set-key "6" 'self-insert-command)
   (local-set-key "7" 'self-insert-command)
   (local-set-key "8" 'self-insert-command)
   (local-set-key "9" 'self-insert-command)
   (local-set-key "0" 'self-insert-command)
   (local-set-key "[" 'self-insert-command)
   (local-set-key "]" 'self-insert-command)
)

(provide 'isol2-insert)

;;; isol2-insert.el ends here
